
From: <pluto@pld-linux.org>

Fix the below:

drivers/atm/zatm.c:1608: error: invalid lvalue in assignment

drivers/atm/iphase.c:623: error: invalid storage class for function 'ia_pkt_tx'

drivers/cdrom/sbpcd.c: In function 'get_state_T':
drivers/cdrom/sbpcd.c:1168: error: invalid storage class for function 'cmd_out_T'
drivers/cdrom/sbpcd.c: In function 'cmd_out_T':
drivers/cdrom/sbpcd.c:1317: error: invalid storage class for function 'cc_DriveReset'

drivers/media/video/saa7134/saa7134-core.c:90: error: static declaration of 'saa7134_devcount' follows non-static declaration
drivers/media/video/saa7134/saa7134.h:479: error: previous declaration of 'saa7134_devcount' was here

drivers/net/acenic.c:488: error: invalid storage class for function 'ace_watchdog'

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/atm/iphase.c                       |    3 ++-
 25-akpm/drivers/atm/zatm.c                         |    2 +-
 25-akpm/drivers/cdrom/sbpcd.c                      |    9 +++++----
 25-akpm/drivers/media/video/saa7134/saa7134-core.c |    2 +-
 25-akpm/drivers/net/acenic.c                       |    3 ++-
 5 files changed, 11 insertions(+), 8 deletions(-)

diff -puN drivers/atm/iphase.c~gcc4-fixes drivers/atm/iphase.c
--- 25/drivers/atm/iphase.c~gcc4-fixes	Fri Dec 10 15:22:35 2004
+++ 25-akpm/drivers/atm/iphase.c	Fri Dec 10 15:22:35 2004
@@ -613,12 +613,13 @@ static int ia_avail_descs(IADEV *iadev) 
    return tmp;
 }    
 
+static int ia_pkt_tx (struct atm_vcc *vcc, struct sk_buff *skb);
+
 static int ia_que_tx (IADEV *iadev) { 
    struct sk_buff *skb;
    int num_desc;
    struct atm_vcc *vcc;
    struct ia_vcc *iavcc;
-   static int ia_pkt_tx (struct atm_vcc *vcc, struct sk_buff *skb);
    num_desc = ia_avail_descs(iadev);
 
    while (num_desc && (skb = skb_dequeue(&iadev->tx_backlog))) {
diff -puN drivers/atm/zatm.c~gcc4-fixes drivers/atm/zatm.c
--- 25/drivers/atm/zatm.c~gcc4-fixes	Fri Dec 10 15:22:35 2004
+++ 25-akpm/drivers/atm/zatm.c	Fri Dec 10 15:22:35 2004
@@ -1605,7 +1605,7 @@ static int __devinit zatm_init_one(struc
 		goto out_disable;
 
 	zatm_dev->pci_dev = pci_dev;
-	ZATM_DEV(dev) = zatm_dev;
+	dev = (struct atm_dev *)zatm_dev;
 	zatm_dev->copper = (int)ent->driver_data;
 	if ((ret = zatm_init(dev)) || (ret = zatm_start(dev)))
 		goto out_release;
diff -puN drivers/cdrom/sbpcd.c~gcc4-fixes drivers/cdrom/sbpcd.c
--- 25/drivers/cdrom/sbpcd.c~gcc4-fixes	Fri Dec 10 15:22:35 2004
+++ 25-akpm/drivers/cdrom/sbpcd.c	Fri Dec 10 15:22:35 2004
@@ -1161,11 +1161,11 @@ static void EvaluateStatus(int st)
 	return;
 }
 /*==========================================================================*/
+static int cmd_out_T(void);
+
 static int get_state_T(void)
 {
 	int i;
-	
-	static int cmd_out_T(void);
 
 	clr_cmdbuf();
 	current_drive->n_bytes=1;
@@ -1308,13 +1308,14 @@ static int cc_ReadError(void)
 	return (i);
 }
 /*==========================================================================*/
+static int cc_DriveReset(void);
+
 static int cmd_out_T(void)
 {
 #undef CMDT_TRIES
 #define CMDT_TRIES 1000
 #define TEST_FALSE_FF 1
-	
-	static int cc_DriveReset(void);
+
 	int i, j, l=0, m, ntries;
 	unsigned long flags;
 
diff -puN drivers/media/video/saa7134/saa7134-core.c~gcc4-fixes drivers/media/video/saa7134/saa7134-core.c
--- 25/drivers/media/video/saa7134/saa7134-core.c~gcc4-fixes	Fri Dec 10 15:22:35 2004
+++ 25-akpm/drivers/media/video/saa7134/saa7134-core.c	Fri Dec 10 15:22:35 2004
@@ -87,7 +87,7 @@ MODULE_PARM_DESC(card,     "card type");
 static DECLARE_MUTEX(devlist_lock);
 LIST_HEAD(saa7134_devlist);
 static LIST_HEAD(mops_list);
-static unsigned int saa7134_devcount;
+unsigned int saa7134_devcount;
 
 #define dprintk(fmt, arg...)	if (core_debug) \
 	printk(KERN_DEBUG "%s/core: " fmt, dev->name , ## arg)
diff -puN drivers/net/acenic.c~gcc4-fixes drivers/net/acenic.c
--- 25/drivers/net/acenic.c~gcc4-fixes	Fri Dec 10 15:22:35 2004
+++ 25-akpm/drivers/net/acenic.c	Fri Dec 10 15:22:35 2004
@@ -457,6 +457,8 @@ static struct ethtool_ops ace_ethtool_op
 	.get_drvinfo = ace_get_drvinfo,
 };
 
+static void ace_watchdog(struct net_device *dev);
+
 static int __devinit acenic_probe_one(struct pci_dev *pdev,
 		const struct pci_device_id *id)
 {
@@ -485,7 +487,6 @@ static int __devinit acenic_probe_one(st
 	dev->vlan_rx_kill_vid = ace_vlan_rx_kill_vid;
 #endif
 	if (1) {
-		static void ace_watchdog(struct net_device *dev);
 		dev->tx_timeout = &ace_watchdog;
 		dev->watchdog_timeo = 5*HZ;
 	}
_
